package models

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type CygxIndustrialArticleGroupSubject struct {
	Id                  int       `orm:"column(id);pk" description:"主键ID"`
	CygxArticleId       int       `description:"cygx_article表的主键ID"`
	ArticleId           int       `description:"cygx_article表的文章ID"`
	IndustrialSubjectId int       `description:"cygx_industrial_subject表的文章ID"`
	CreateTime          time.Time `description:"创建时间"`
}

//列表
func GetSubjectArticleGroupManagementList(condition string, pars []interface{}) (items []*CygxIndustrialArticleGroupSubject, err error) {
	o := orm.NewOrm()
	sql := `SELECT
			ag.industrial_subject_id 
			FROM
			cygx_industrial_article_group_subject AS ag
			WHERE
			 1 =1 ` + condition
	_, err = o.Raw(sql, pars).QueryRows(&items)
	return
}
